using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WK5.Core;
using WK5.Core.Basis.Filter.Statistik;
using WK5.Core.Models.Statistik;

namespace WK5_Blazor.Pages.Statistik.Verkauf
{
    public partial class MitarbeiterStatistik
    {
        public MitarbeiterStatistikFilter Filter { get; set; } = new MitarbeiterStatistikFilter();
        private List<MitarbeiterauswertungResult> _results = new List<MitarbeiterauswertungResult>();
        private bool _lädt;


        private async Task LadeAsync()
        {
            _lädt = true;
            using FbController2 fbController = new FbController2();
            _results = await statistikService.GetMitarbeiterauswertungAsync(Filter, fbController);
            _lädt = false;
        }
    }
}
